Part SimpleCopy: Difference between revisions

From FreeCAD Documentation
No edit summary
mNo edit summary
Line 46: Line 46:


==Scripting== <!--T:19-->
==Scripting== <!--T:19-->
<br>The following {{Button|[[Image:Part_SimpleCopy.svg|16px|link=Part_SimpleCopy]] [[Part SimpleCopy‎|Part SimpleCopy‎]]}} command can be applied after selecting one or more objects in the [[Tree view]] :


The '''Part SimpleCopy'''‎ command can be applied after selecting one or more objects in the [[Tree_view|Tree view]]:

</translate>
{{Code|code=
{{Code|code=
FreeCADGui.runCommand('Part_SimpleCopy')
FreeCADGui.runCommand('Part_SimpleCopy')
}}
}}
<translate>


The selection could be manual (by using the mouse), or via the Python Console.<br>
The selection can be manual (by using the mouse), or via the [[Python_Console|Python Console]].<br>
To know more about selecting objects programmatically, refer to [[Selection_methods]].
To know more about selecting objects programmatically, refer to [[Selection_methods|Selection methods]].





Revision as of 11:12, 13 March 2021

Part SimpleCopy‎

Menu location
Part → Create a copy → Create simple copy
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Std Copy, Std Duplicate Selection, Part TransformedCopy, Part ElementCopy, Part RefineShape

Description

Part SimpleCopy‎ produces a copy that has no parametric history; the steps and operations needed to create it aren't accessible any more.

Alternatively, to produce other non-parametric copies use Transformed Copy, Element Copy, and RefineShape

Usage

  1. Select an object for which you wish to make a copy.
  2. Go to the menu Part → Create a copy → Create simple copy.

Properties

Data

The copy has a simple DataPlacement property like any other Part Feature.

View

The copy has simple view properties like any other Part Feature.

Scripting

The Part SimpleCopy‎ command can be applied after selecting one or more objects in the Tree view:

FreeCADGui.runCommand('Part_SimpleCopy')

The selection can be manual (by using the mouse), or via the Python Console.
To know more about selecting objects programmatically, refer to Selection methods.